Query transaction history
Query the transaction history of an account, with pagination. Use it for reconciliation and financial reporting.
bearerAuthAuthorizationBearer <token>The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.
accountNumber*stringAccount number. Length 16
currency*stringISO 4217 currency code. Length 3
startDate*stringStart date. Format yyyyMMdd, length 8
endDate*stringEnd date. Format yyyyMMdd, length 8
pageToken?stringPagination token, used to fetch the next page. Length 50
currentPage*integerCurrent page number, starting from 1
pageSize*integerNumber of records per page, maximum 100
X-Channel-Provider*stringProvider identifier, such as GLDB
Returns the transaction records.
application/json- response
code?integerBusiness status code
message?stringtraceId?stringRequest trace ID. Provide it when you contact technical support
data?Base fields of business data. The data object of every business response contains these fields (except fee estimation).
curl -X GET 'https://api.test.stabofx.com/openapi/v1/payments/transaction/history?accountNumber=10000000001¤cy=SGD&startDate=20240213&endDate=20240426¤tPage=1&pageSize=20' \ -H 'X-Channel-Provider: GLDB'{ "code": 200, "message": "OK", "traceId": "a1b2c3d4-e5f6-7890", "data": { "providerStatusCode": "000000", "providerMessage": "ok", "providerRequestSerialNo": "795883203712778240", "providerResponseSerialNo": "785957885476737024", "providerTimestamp": "2023-05-17 21:03:48", "totalRecords": 12, "pageToken": "202411153825756049.01,6", "records": [ { "transactionReference": "FT24320XW3NC", "transactionDate": "2024-11-15", "transactionTime": "09:33", "currency": "SGD", "balance": "31900312.79", "amount": "-31", "remarks": "To Acc.No.- 10000000002", "valueDate": "2024-11-15", "transactionDescription": "Transfer Out", "transactionType": "213", "direction": "OUTGOING" } ] }}Query cross-border remittance result GET
Query the result status of a cross-border remittance.
Query MT/MX message GET
Query the raw MT/MX SWIFT message associated with a transfer. Use it for compliance audits and troubleshooting. For examples of `messageContent` in each scenario, see the [Payment product guide](/en/docs/guide/payment).